MetacatUI - Task #6331
Story # 6330 (Resolved): Address feedback on MetacatUI features and usability

Address metacatui feedback from Mike Frenock
12/27/2013 03:58 PM - Matt Jones

Status: Resolved Start date: 12/27/2013
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.5.0 Spent time: 0.00 hour
Description

Feedback from Mike Frenock:
Hello Matt,
First quick look at data search:

tried the following:
1)  Firefox 24.2.0 on CentOS 5

2)  Firefox 26.0 on Ubuntu 12.04 LTS

3)  Chromium 31.0.1650.63 on Ubuntu 12.04 LTS

4)  Chrome 31.0.1650.63 on Windows XP

5)  Firefox 26.0 on Windows XP

6) Chrome 31.0.1650.63 on Windows 7

7)  Firefox 25.0 on Windows 7

What | found:

1. No instructions on how things work...after awhile of fiddling around | tried to find some instructions but didn’t (e.g. it took awhile

to figure out | could click on the filter and mapping headers to minimize them).

2. Map refresh was slow enough on Windows XP | thought nothing was working at first (of course, | just happened to try that
browser first)...was pretty unusable on XP without hiding the map.

3. Filter: ‘Anything’ box: typed in ‘pisco’...dropdown showed four different groups...the left side of the dropdown listing was cut
off on all browsers | tried...after clicking on the first group (showed 18374 in dropdown box) the Mapping box showed 19105 data
packages.

4. Filter: ‘Data attribute’ box: worked great on all browsers as far as | tested.

5. Filter: ‘includes data files check box: for the largest PISCO group (18374 in the dropdown box) it found no data except for 2
test files (all browsers).

6. Filter: timeline worked fine on all browsers.

7. Filter: ‘Location’: worked well on all browsers.

8. Mapping: The sort by dropdown worked well...just wasn’t sure what it was the first time | looked at it.

9. Mapping: info icon worked well.

10. Mapping: ‘metadata’ icon (just clicked on it...had no idea what it was...expected it to go to the map)...worked well and was able
to download data from that page (defaulted to a file named ‘metadata’ on the two | tried...thought it was a zip file at first because
that’'s what the old Metacat zip did)...FYI, the data files | downloaded did not show when checking the ‘includes data files’ check box

in the Filter.

11. Mapping: download icon: downloaded a zip file with name ‘dataPackage’ bunch of numbers. Unzipped. Had no idea what | was

04/20/2024 1/3




looking at. Went into the ‘data’ subdirectory and the xml metadata file (with a name like ‘entry-<long number>.xml’ was there but no
data files.

12. Refresh rate: best on Ubuntu box (both browsers) but still noticeable lag. CentOS box was also OK. Windows 7 was slower.
Windows XP not so good.

13. Map: assuming the red circles are the number of data packages in that area...double clicking on a circle appears to zoom to
that area some and the Mapping box shows the packages but | was never able to get to just one of the circles and show that list of
packages in the mapping box...appears to map everything that is on the screen and would only zoom in so far...not enough to
distinguish a single circle of packages.

History

#1 - 12/30/2013 10:49 AM - Lauren Walker

- Status changed from New to In Progress

What | found:
1. No instructions on how things work...after awhile of fiddling around | tried to find some instructions but didn’t (e.g. it took awhile to figure out | could
click on the filter and mapping headers to minimize them).

Created ticket 6326 to add a minimize icon to the sidebars. We can consider making a skippable tutorial for first-time visitors, but | think
instead of making instructions we can address individual issues to make the interface more intuitive

2. Map refresh was slow enough on Windows XP | thought nothing was working at first (of course, | just happened to try that browser first)...was
pretty unusable on XP without hiding the map.

Created tickets 6335 and 6332 to reduce the rows in the Solr query to 200 and test in Windows XP

3. Filter: *Anything’ box: typed in ‘pisco’...dropdown showed four different groups...the left side of the dropdown listing was cut off on all browsers |
tried...after clicking on the first group (showed 18374 in dropdown box) the Mapping box showed 19105 data packages.

This is seemingly a bug, but is actually working as intended. However the numbers next to the autocomplete suggestions for the Anything
filter need to be changed somehow to make this clear. See ticket 6334

No action needed

5. Filter: ‘includes data files check box: for the largest PISCO group (18374 in the dropdown box) it found no data except for 2 test files (all browsers).
This is correct - there are only two packages that contain data files for that search. The test packages should be removed/archived.

6. Filter: timeline worked fine on all browsers.

no action needed

7. Filter: ‘Location’: worked well on all browsers.

No action needed

8. Mapping: The sort by dropdown worked well...just wasn't sure what it was the first time | looked at it.

Perhaps add a 'Sort by' to the dropdown list so it displays first as a title. See ticket 6336

9. Mapping: info icon worked well.

No action needed

10. Mapping: ‘metadata’ icon (just clicked on it...had no idea what it was...expected it to go to the map)...worked well and was able to download data
from that page (defaulted to a file named ‘metadata’ on the two | tried...thought it was a zip file at first because that's what the old Metacat zip

did)...FYI, the data files | downloaded did not show when checking the ‘includes data files’ check box in the Filter.

| think the metadata icon is referring to the open folder icon for data files. clicking on that takes you to the Metadata view. If there are no
data files attached, it will download the zip file with the metadata xml file inside. No action needed

11. Mapping: download icon: downloaded a zip file with name ‘dataPackage’ bunch of numbers. Unzipped. Had no idea what | was looking at. Went
into the ‘data’ subdirectory and the xml metadata file (with a name like ‘entry-<long number>.xml’ was there but no data files.

*| changed the file naming system in Metacat last week, so when we upgrade the KNB this will be hopefully be more clear. The distinction between
metadata files and data files seems to be unclear throughout Mike's feedback though. We should consider how to communicate that better.

We will add a tooltip explanation to the "Includes data files" filter to help. See ticket 6337.
We will also add a list of all the data files that will be included in the download at the top of the Metadata view. Ticket 6338.*

12. Refresh rate: best on Ubuntu box (both browsers) but still noticeable lag. CentOS box was also OK. Windows 7 was slower. Windows XP not so
good.

We will reduce the rows returned to 200
13. Map: assuming the red circles are the number of data packages in that area...double clicking on a circle appears to zoom to that area some and
the Mapping box shows the packages but | was never able to get to just one of the circles and show that list of packages in the mapping

box...appears to map everything that is on the screen and would only zoom in so far...not enough to distinguish a single circle of packages.

In areas densely populated with packages, it will be difficult to zoom in on an individual cluster. We can consider adding a polygon drawing
tool to the search so users can specifically search a spatial area.

#2 - 12/31/2013 04:35 PM - Lauren Walker
- Status changed from In Progress to Resolved

- translation missing: en.field_remaining_hours set to 0.0

All the tickets related to Mike's feedback have been finished, except | am aiming to have Windows XP compatibility testing in time for 1.5.0. We can
move it up to 1.4.2 if it looks like | will have time before the KNB news announcement or if anyone else thinks it is necessary for 1.4.2.
